%define	upstream_name    DBD-mysql
%define upstream_version 4.022
#define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    MySQL-Perl bindings
License:    GPL
Group:      Development/Databases
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.80.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Test::More)
BuildRequires: mysql-devel
BuildRequires: openssl-devel
BuildRequires: perl-devel
BuildRequires: zlib-devel
Provides:   perl-Mysql
Obsoletes:  perl-Mysql

%description
DBD::mysql is an interface driver for connecting the DBMS independent Perl API
DBI to the MySQL DBMS. When you want to use MySQL from within perl, DBI and
DBD::mysql are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%serverbuild

%{__perl} Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222
%make OPTIMIZE="$CFLAGS"

# make test requires a running mysql server
#make test

%install
%makeinstall_std

%files
%doc ChangeLog META.yml MYMETA.yml README TODO eg
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.22.0-2.mga3
+ Revision: 365044
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 4.22.0-1.mga3
+ Revision: 297969
- update to 4.022

* Tue Jun 05 2012 jquelin <jquelin> 4.21.0-1.mga3
+ Revision: 254734
- update to 4.021

* Wed May 30 2012 jquelin <jquelin> 4.20.0-3.mga3
+ Revision: 250490
- rebuild for perl 5.16

* Tue Dec 20 2011 barjac <barjac> 4.20.0-2.mga2
+ Revision: 184666
- Bump release
- Rebuild against mariadb

  + jquelin <jquelin>
    - update to 4.020

* Sun Jun 12 2011 ahmad <ahmad> 4.19.0-4.mga2
+ Revision: 104423
- Update to 4.019

  + sander85 <sander85>
    - Rebuild for perl 5.14

* Thu Mar 24 2011 dmorgan <dmorgan> 4.18.0-2.mga1
+ Revision: 77078
- Rebuild against new mysql

* Fri Feb 25 2011 jquelin <jquelin> 4.18.0-1.mga1
+ Revision: 59651
- update to 4.018

* Sat Jan 22 2011 jquelin <jquelin> 4.17.0-4.mga1
+ Revision: 32734
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 4.17.0-3.mga1
+ Revision: 30043
- mageia rebuild
- imported package perl-DBD-mysql

